Bug 174181 - Review Request: python-simpy Python simulation framework
Review Request: python-simpy Python simulation framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://gallagher.di.uoa.gr/rpms/pytho...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-25 09:17 EST by Sarantis Paskalis
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-26 06:27:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sarantis Paskalis 2005-11-25 09:17:40 EST
Spec Name or Url: http://gallagher.di.uoa.gr/rpms/python-simpy/python-simpy.spec
SRPM Name or Url: http://gallagher.di.uoa.gr/rpms/python-simpy/python-simpy-1.6.1-1.src.rpm

Description:
SimPy (= Simulation in Python) is an object-oriented, process-based
discrete-event simulation language based on standard Python. It
provides the modeler with components of a simulation model including
processes, for active components like customers, messages, and
vehicles, and resources, for passive components that form limited
capacity congestion points like servers, checkout counters, and
tunnels. It also provides monitor variables to aid in gathering
statistics. Random variates are provided by the standard Python random
module.
Comment 1 John Mahowald 2005-12-21 00:22:12 EST
SimGUI doesn't work, rpm isn't picking up that it needs Tkinter. Requires:
tkinter needed.

The spec file doesn't seem to be encoded in ASCII or URF-8. Please save in one
or the other. file says "python-simpy.spec: lex description text"

Follows python spec template

- rpmlint does not output anything

I would not call this python-simpy, simpy is sufficient, as it is not a python
extension but a SIMulation in PYthon. Debian seems to call it python-simpy,
however. Your choice.

You removed the source documentation. Consider packaging it as a seperate docs
subpackage.

The patch removes all shebangs. Why, is this to quiet rpmlint?

- license (LGPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC4 i386, is noarch
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- nothing in %doc affects runtime
- no need for .desktop file 
Comment 2 Sarantis Paskalis 2005-12-21 07:55:48 EST
(In reply to comment #1)
> SimGUI doesn't work, rpm isn't picking up that it needs Tkinter. Requires:
> tkinter needed.

done.

> The spec file doesn't seem to be encoded in ASCII or URF-8. Please save in one
> or the other. file says "python-simpy.spec: lex description text"

It is ASCII though. file -i says 
python-simpy.spec: text/x-java; charset=us-ascii
I think the first lines confuse the guessing done by file's logic.

> - rpmlint does not output anything
> 
> I would not call this python-simpy, simpy is sufficient, as it is not a python
> extension but a SIMulation in PYthon. Debian seems to call it python-simpy,
> however. Your choice.

It is not a standalone application, but a simulation framework.  One writes
simulations in python using this framework, so I think I'll keep the name.

> You removed the source documentation. Consider packaging it as a seperate docs
> subpackage.

done.

> The patch removes all shebangs. Why, is this to quiet rpmlint?

Yes.  I have no strong feelings on this, I can remove it.  The modules from
which the shebangs are removed are not supposed to be executed directly, and
some example scripts I wrote did not show any problems with this patch.
I'll take it upstream anyway to see what the authors think.

Thanks for the review.

New versions:
http://gallagher.di.uoa.gr/rpms/python-simpy/python-simpy.spec
http://gallagher.di.uoa.gr/rpms/python-simpy/python-simpy-1.6.1-2.src.rpm
http://gallagher.di.uoa.gr/rpms/python-simpy/python-simpy-1.6.1-2.noarch.rpm
http://gallagher.di.uoa.gr/rpms/python-simpy/python-simpy-doc-1.6.1-2.noarch.rpm
Comment 3 John Mahowald 2005-12-21 22:50:54 EST
Looks good. APPROVED.
Comment 4 Sarantis Paskalis 2005-12-26 06:27:56 EST
Imported to CVS, packages built for FC-3, FC-4 and devel.  Closing.

Note You need to log in before you can comment on or make changes to this bug.